Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mediprima.session.impl
Class MediprimaImplementationClassFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.ImplementationClassFactory
          be.ehealth.businessconnector.mediprima.session.impl.MediprimaImplementationClassFactory

    public class MediprimaImplementationClassFactory

extends ImplementationClassFactory

Implementation of `ImplementationClassFactory` for `be.ehealth.businessconnector.MediprimaSessionService.session.DicsSessionService`

Constructor Summary
`MediprimaImplementationClassFactory()`

Method Summary
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, Crypto hokCrypto, Crypto encryptionCrypto, String... additionalParameters)` creates the implementation for a range of possible classes.

Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory
`createImplementationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediprimaImplementationClassFactory

    public MediprimaImplementationClassFactory()

Method Detail

### createImplementationClass

    public <T> T createImplementationClass(Class<T> clazz,
                                           SessionValidator sessionValidator,
                                           EhealthReplyValidator replyValidator,
                                           Crypto hokCrypto,
                                           Crypto encryptionCrypto,
                                           String... additionalParameters)
                                throws TechnicalConnectorException,
                                       ConnectorException

  Description copied from class: `ImplementationClassFactory`
  creates the implementation for a range of possible classes.

  Overrides:
    `createImplementationClass` in class `ImplementationClassFactory`
  Parameters:
    `clazz` - the class
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator
    `hokCrypto` - the hok crypto
    `encryptionCrypto` - the encryption crypto
  Returns:
    the implementation class
  Throws:
    `TechnicalConnectorException`
    `ConnectorException`
  See Also:
    `ImplementationClassFactory.createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator, be.ehealth.technicalconnector.service.etee.Crypto, be.ehealth.technicalconnector.service.etee.Crypto, java.lang.String[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.